---
search:
  tags:
    - Channels V2
    - GET
seo:
  description: >-
    Lists content entries for a channel… Reference for the GET
    /api/v2/{team_slug}/{app_slug}/channels/{channel_id}/content endpoint in the
    Management API v2.
sidebar:
  label: List channel content
  badge: GET
title: List channel content
type: openapi-operation
---
Lists content entries for a channel with pagination.

`GET /api/v2/{team_slug}/{app_slug}/channels/{channel_id}/content`

**Responses**

- `200` — OK
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "parent_type": "string",
      "field_type": "string",
      "value": "string",
      "translations": [
        {
          "language_code": "string",
          "value": "string"
        }
      ],
      "relationships": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "preview": [
        "string"
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}
```
